Docs

Get Location Type

GET /location-types/{typeId}

GET/location-types/{typeId}

Returns one location type with its sections and the properties assigned to each section. typeId comes from Locations_GetLocationTypes. Needs the organization admin permission.

Path Parameters

FieldTypeRequiredDescription
typeIduuidRequired

Response

FieldTypeDescription
iduuid
namestring| null
iconstring| null
colorstring| null
isArchivedboolean
sectionsGetLocationTypeResponseSectionInfo[]| null

GetLocationTypeResponseSectionInfo

FieldTypeDescription
iduuid
namestring| null
indexinteger
propertiesGetLocationTypeResponsePropertyAssignmentInfo[]| null

GetLocationTypeResponsePropertyAssignmentInfo

FieldTypeDescription
propertyIduuid
namestring| null
typestring| null
indexinteger
optionsGetLocationTypeResponseOptionInfo[]| null

GetLocationTypeResponseOptionInfo

FieldTypeDescription
iduuid
labelstring| null